GET v1/Product?pageNumber={pageNumber}&pageSize={pageSize}&textExactMatch={textExactMatch}&code={code}&name={name}&alternateCode={alternateCode}&barcode={barcode}&isArchived={isArchived}&quantityInStockMin={quantityInStockMin}&quantityInStockMax={quantityInStockMax}&includeSupplierDetails={includeSupplierDetails}&label={label}&withoutLabel={withoutLabel}
This method gets a paged list of top level product information, including summary inventory quantities.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pageNumber |
The page number for the list you wish to retrieve |
integer |
Optional Must be greater than 1 Default value is 1 if not specified |
| pageSize |
The page size for the list you wish to retrieve |
integer |
Optional Must be greater than 1 and less than 500 Default value is 500 if not specified |
| textExactMatch |
Whether to search for exact text matches only. The default is to use wildcard/partial matches |
boolean |
Optional |
| code |
Filter the list on a particular product code or code fragment |
string |
Optional |
| name |
Filter the list on a particular product name or name fragment |
string |
Optional |
| alternateCode |
Filter the list on a particular alternate code or alternate code fragment |
string |
Optional |
| barcode |
Filter the list on a particular barcode or barcode fragment |
string |
Optional |
| isArchived |
Filter the list to either archived or non-archived products |
boolean |
Optional Default value is both if not specified |
| quantityInStockMin |
Filter the list to products with aggregated stock-in-hand quantity across all warehouses that is greater than or equal to the supplied minimum value |
decimal number |
Optional |
| quantityInStockMax |
Filter the list to products with aggregated stock-in-hand quantity across all warehouses that is less than or equal to the supplied maximum value |
decimal number |
Optional |
| includeSupplierDetails |
Include child collection on each product containing data related to suppliers and their products |
boolean |
Optional |
| label |
Label name to filter products |
string |
Optional |
| withoutLabel |
Filter products to those that don't have this label |
string |
Optional |
Body Parameters
None.
Response Information
Resource Description
A list of product data from the Tradevine database
| Name | Description | Type |
|---|---|---|
| TotalCount |
The total number of records in the resultset including those returned on this page |
integer |
| PageNumber |
The page number of the current resultset |
integer |
| PageSize |
The page size of the current resultset |
integer |
| List |
The list of records in this page of the resultset |
Collection of Product |
Response Formats
application/json
Sample:
Sample not available.